package cn.iocoder.yudao.module.bpm.enums;

public enum WorkFlowEmus {
    ORDER_WAREHOUSING_MODIFICATION("warehousing_modification", "订单审批-入仓修改审核"),
    ORDER_ORDER_MODIFY("order_modify", "订单审批-订单修改审核"),
    ORDER_RETIRED_WAREHOUSE("retired_warehouse", "订单审批-退仓审核"),
    ORDER_LIGHT_GOODS("light_goods_discount", "订单审批-泡货标准优惠申请"),
    ORDER_HEAVY_GOODS("heavy_goods_discount", "订单审批-重货优惠审核"),
    ORDER_FREE_APPLY("free_apply", "订单审批-费用审核"),

    ORDER_BATCH_FREE_APPLY("batch_free_apply", "订单审批-批量费用审核"),
    ORDER_SPECIAL_APPLY("special_apply", "订单审批-特价审核"),
    ORDER_SPECIAL_APPLY_BATCH("special_apply_batch", "订单审批-批量特价审核"),

    ORDER_WAREHOUSE_TRANSFER("warehouse_transfer", "订单审批-调仓审核"),
    ORDER_MERGE_ORDER("merge_order", "订单审批-合单审核"),
    ORDER_SPLIT_ORDER("split_order", "订单审批-海运拆单审核"),
    REVOKE_SPLIT_ORDER("revoke_split_order", "订单审批-撤销拆单审核"),
    ORDER_RELEASE_GOODS("release_goods", "订单审批-放货修改审核"),
    ORDER_CANCEL_GOODS("cancel_goods", "订单审批-取消放货审核"),

    ORDER_RELEASE_GOODS_RECURRENT_NUCLEUS("release_goods_recurrent_nucleus", "订单审批-放货反复核审核"),

    ORDER_CANCEL_GOODS_RECURRENT_NUCLEUS("cancel_goods_recurrent_nucleus", "订单审批-取消放货反复核审核"),
    ORDER_TRANSFER_GOODS("transfer_goods", "订单审批-调货申请"),

    ORDER_COMMISSION_CONFIG("commission_config", "订单审批-佣金设置审核"),

    ORDER_MANAGE_DISCOUNTS("manage_discounts", "订单审批-管理折扣审核"),
    ORDER_MANAGE_DISCOUNTS_BATCH("manage_discounts_batch", "订单审批-批量管理折扣审核"),

    ORDER_NEED_FIRST_PAY("need_first_pay", "订单审批-预付异常审核"),

    SHIPMENT_PREASSEMBLE("shipment_preassemble", "出货审批-预装审核"),
    SHIPMENT_PREASSEMBLE_NO("shipment_preassemble_no", "出货审批-预装反审核"),
    SHIPMENT_CLOSE_CONTAINER("close_container", "出货审批-封柜审核"),
    SHIPMENT_CLOSE_CONTAINER_NO("close_container_no", "出货审批-封柜反审核"),
    SHIPMENT_UNLOAD_CONTAINER("unload_container", "出货审批-卸柜审核"),
    SHIPMENT_UNLOAD_CONTAINER_NO("unload_container_no", "出货审批-卸柜反审核"),
    SHIPMENT_SORTING_APPLY("sorting_apply", "出货审批-分拣审核"),
    SHIPMENT_SORTING_APPLY_NO("sorting_apply_no", "出货审批-分拣反审核"),
    SHIPMENT_BOOK_SPACE_MODIFY("book_space_modify", "出货审批-订舱修改审核"),
    SHIPMENT_START_PORT_MODIFY("start_port_modify", "出货审批-起运修改审核"),
    SHIPMENT_CUSTOMS_EXIT_ALL("customs_exit_all", "出货审批-报关退场审核"),
    SHIPMENT_CUSTOMS_EXIT_PART("customs_exit_part", " 出货审批-报关部分退场审核"),
    SHIPMENT_CUSTOMS_CLEARANCE_MODIFY("customs_clearance_modify", "出货审批-清关修改审核"),
    SHIPMENT_ARRIVAL_MODIFY("arrival_modify", "出货审批-到港修改审核"),
    SHIPMENT_CUSTOMS_DECLARE_MODIFY("customs_declare_modify", "出货审批-报关修改审核"),
    SHIPMENT_SHIP_MODIFY("ship_modify", "出货审批-配船修改审核"),
    SHIPMENT_TRAILER_MODIFY("trailer_modify", "出货审批-拖车修改审核"),
    SHIPMENT_CONTAINER_MODIFY("container_modify", "出货审批-柜子修改审核"),
    SHIPMENT_SPLIT_ORDER("shipment_split_order", "出货审批-出货拆单审核"),
    SHIPMENT_BILL_LADING("bill_lading", "出货审批-提单审核"),
    SHIPMENT_CLEARANCE_STATUS_UPDATE("shipment_clearance_status_update", "出货审批-更新清关状态"),
    SHIPMENT_OVERWEIGHT_EXCEPTION("shipment_overweight_exception", "出货审批-重量超限异常审核"),
    /*************************2.0空运新加*start******************/
    SHIPMENT_CUSTOMS_DECLARE_REMOVE("customs_declare_remove", "出货审批-报关删单退场审核"),

    SHIPMENT_CUSTOMS_DECLARE_REMOVE_SPLIT("customs_declare_remove_split", "出货审批-删单退场拆单审核"),

    SHIPMENT_CUSTOMS_DECLARE_PART_SPLIT("customs_declare_part_split", "出货审批-部分退场拆单审核"),

    SHIPMENT_CUSTOMS_DECLARE_ALL_SPLIT("customs_declare_all_split", "出货审批-全部退场拆单审核"),
    SHIPMENT_ORDER_SORTING("shipment_order_sorting", "出货审批-排单分拣审核"),
    SHIPMENT_ORDER_SORTING_NO("shipment_order_sorting_no", "出货审批-排单分拣反审核"),
    SHIPMENT_CHANNEL_CHANGE("shipment_channel_change", "出货审批-变更出货渠道审核"),
    SHIPMENT_BULKY_CARGO("shipment_bulky_cargo", "出货审批-泡重优惠申请"),
    SHIPMENT_BATCH_ADD_PRICE("shipment_batch_add_price", "出货审批-批量加价审核"),
    SHIPMENT_CONTINUE_CHANNEL_EXCEPTION("shipment_continue_channel_exception", "出货审批-继续不可出渠道审核"),
    SHIPMENT_TO_WAREHOUSE("shipment_to_warehouse", "出货审批-到仓审核"),
    SHIPMENT_TO_WAREHOUSE_No("shipment_to_warehouse_no", "出货审批-到仓反审核"),
    SHIPMENT_AUDIT("shipment_audit", "出货审批-出货审核"),
    SHIPMENT_AUDIT_NO("shipment_audit_no", "出货审批-出货反审核"),
    AIR_SPLIT_ORDER("air_split_order", "出货审批-空运拆单审核"),
    /*************************2.0空运新加*end******************/
    SHIPMENT_EXIT_PART_SPILT("shipment_exit_part_spilt", "出货审批-部分退场拆单审核"),
    QUOTATION_SHEET_SALE("sheet_sale", "报价审核-特价审核"),
    QUOTATION_COMMISSION_CONFIG("quotation_commission_config", "报价审核-佣金设置审核"),
    QUOTATION_CUSTOMER_DELAY_PUBLIC("quotation_customer_delay_public", "客户审核-客户延期进入公海池审核"),
    QUOTATION_CUSTOMER_HANDOVER("quotation_customer_handover", "客户审核-客户移交审核"),
    FINANCE_RECEIPT_APPROVE("finance_receipt_approve", "财务审核-收款单审核"),
    FINANCE_RECEIPT_APPROVE_NO("finance_receipt_approve_no", "财务审核-收款单反审核"),
    FINANCE_RECEIPT_WRITE_OFF("finance_receipt_write_off", "财务审核-收款单核销审核"),
    FINANCE_RECEIPT_WRITE_OFF_NO("finance_receipt_write_off_no", "财务审核-收款单反核销审核"),
    FINANCE_RECEIPT_ITEM_WRITE_OFF("finance_receipt_item_write_off", "财务审核-银行实收明细核销审核"),
    FINANCE_RECEIPT_ITEM_WRITE_OFF_NO("finance_receipt_item_write_off_no", "财务审核-银行实收明细反核销审核"),
    FINANCE_PAYMENT_APPROVE("finance_payment_approve", "财务审核-付款单审核"),
    FINANCE_PAYMENT_APPROVE_NO("finance_payment_approve_no", "财务审核-付款单反审核"),
    FINANCE_PAYMENT_WRITE_OFF("finance_payment_write_off", "财务审核-付款单核销审核"),
    FINANCE_PAYMENT_WRITE_OFF_NO("finance_payment_write_off_no", "财务审核-付款单反核销审核"),
    FINANCE_COMMISSION_PAYMENT_APPROVE("finance_commission_payment_approve", "财务审核-佣金付款单审核"),
    FINANCE_COMMISSION_PAYMENT_APPROVE_NO("finance_commission_payment_approve_no", "财务审核-佣金付款单反审核"),
    FINANCE_COMMISSION_PAYMENT_WRITE_OFF("finance_commission_payment_write_off", "财务审核-佣金付款单核销审核"),
    FINANCE_COMMISSION_PAYMENT_WRITE_OFF_NO("finance_commission_payment_write_off_no", "财务审核-佣金付款单反核销审核"),
    SHIPMENT_LINE_WEIGHT_ALLOW_OVER("shipment_line_weight_allow_over", "出货审批-允许超出线路重量上限审核"),
    ORDER_OVERSEAS_WAREHOUSE_CHANGE("order_overseas_warehouse_change", "订单审批-海外仓修改申请"),
    ORDER_CONSIGNEE_LIMIT_CHANGE("order_consignee_limit_change", "订单审批-收货人限制修改申请"),
    ORDER_WAREHOUSING("order_warehousing", "订单审批-入仓申请"),
    ;
    private String key;
    private String value;

    private WorkFlowEmus(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return this.getValue();
    }

    public static String getValue(String key) {
        for (WorkFlowEmus workFlowEmus : values()) {
            if (workFlowEmus.getKey().equals(key)) return workFlowEmus.getValue();
        }
        return null;
    }


    public static WorkFlowEmus keyOf(String key) {
        for (WorkFlowEmus workFlowEmus : values()) {
            if (workFlowEmus.getKey().equals(key)) return workFlowEmus;
        }
        return null;
    }
}
